Bug 1074456 - [abrt] rapid-photo-downloader: downloadtracker.py:189:get_percent_complete:KeyError: 14869
Summary: [abrt] rapid-photo-downloader: downloadtracker.py:189:get_percent_complete:Ke...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rapid-photo-downloader
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:175a0d24fa8bb24f95f847f41ff...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-10 10:04 UTC by Jose Luis
Modified: 2014-05-31 23:55 UTC (History)
1 user (show)

Fixed In Version: rapid-photo-downloader-0.4.10-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-31 23:55:50 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.06 KB, text/plain)
2014-03-10 10:04 UTC, Jose Luis
no flags Details
File: environ (2.12 KB, text/plain)
2014-03-10 10:04 UTC, Jose Luis
no flags Details

Description Jose Luis 2014-03-10 10:04:13 UTC
Version-Release number of selected component:
rapid-photo-downloader-0.4.9-1.fc20

Additional info:
reporter:       libreport-2.1.12
cmdline:        /usr/bin/python2 /usr/bin/rapid-photo-downloader
executable:     /usr/bin/rapid-photo-downloader
kernel:         3.13.5-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
downloadtracker.py:189:get_percent_complete:KeyError: 14869

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/rapid/rapid.py", line 1450, in task_results
    self.results_callback(move_succeeded, rpd_file, download_count)
  File "/usr/lib/python2.7/site-packages/rapid/rapid.py", line 2658, in subfolder_file_results
    self.file_download_finished(move_succeeded, rpd_file)
  File "/usr/lib/python2.7/site-packages/rapid/rapid.py", line 2741, in file_download_finished
    completed, files_remaining = self._update_file_download_device_progress(scan_pid, unique_id, rpd_file.file_type)
  File "/usr/lib/python2.7/site-packages/rapid/rapid.py", line 2981, in _update_file_download_device_progress
    percent_complete = self.download_tracker.get_percent_complete(scan_pid)
  File "/usr/lib/python2.7/site-packages/rapid/downloadtracker.py", line 189, in get_percent_complete
    self.total_bytes_copied_by_scan_pid[scan_pid])
KeyError: 14869

Local variables in innermost frame:
scan_pid: 14869
self: <rapid.downloadtracker.DownloadTracker instance at 0x2b59ab8>

Comment 1 Jose Luis 2014-03-10 10:04:21 UTC
Created attachment 872610 [details]
File: backtrace

Comment 2 Jose Luis 2014-03-10 10:04:24 UTC
Created attachment 872611 [details]
File: environ

Comment 3 Fedora Update System 2014-05-21 20:49:11 UTC
rapid-photo-downloader-0.4.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rapid-photo-downloader-0.4.10-1.fc20

Comment 4 Fedora Update System 2014-05-23 18:54:49 UTC
Package rapid-photo-downloader-0.4.10-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rapid-photo-downloader-0.4.10-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6602/rapid-photo-downloader-0.4.10-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-05-31 23:55:50 UTC
rapid-photo-downloader-0.4.10-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.